Bug 114606 - Grayscale images with form set up with query, colour images with form set up directly from table
Summary: Grayscale images with form set up with query, colour images with form set up ...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.1 all versions
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-21 00:31 UTC by Phantom54
Modified: 2018-07-31 09:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Phantom54 2017-12-21 00:31:50 UTC
I created a table with a primary key several text fields and one one image field.

Most of the data for the text fields came from a spreadsheet file.  I entered the images using a form and a folder stored in the same folder as the odb.  I was having issues with sorting and created a query from the current table.

The sort issues have now been resolved.

When I use the form created through the table, the images are in colour.

When I use the form created through the query, the images are in grayscale.

I can easily replicate this action by changing the source of data for the form using Content Type/Content i.e. Table/Table Name and Query/Query Name. When I do this, everything appears the same except Table/Table Name produces colour images and Query/Query Name produces grayscale images.

I have been advised to record this as a bug.

My workaround is to avoid using Queries when I want Colour images in the form.

Details- Windows 10 up to date as of December 2017, Toshiba laptop with i5 CPU and 8GB of RAM.  I am using Base 5.1
Cheers
Comment 1 Jean-Baptiste Faure 2017-12-23 17:58:41 UTC
LibreOffice 5.1 is a version that is rather old and not maintained anymore. Please update your installation and try again.

Set status to NEEDINFO, please set it back to UNCONFIRMED once requested
informations are provided.

Best regards. JBF
Comment 2 Robert Großkopf 2017-12-24 11:09:27 UTC
Images in forms are greyscaled if data couldn't be edited. I have tested the following:
Form depending of a table - works (colored images).
Form depending of a query like 
SELECT * FROM "table"
works also (colored images).

Form depending of a query, which doesn't contain a primarykey and isn't created for editing data shows greyscaled images.
Form depending of a table and setting to change nothing (no update, no delete ...) also will show greyscaled images.

Tested with
Version: 6.0.0.1
Build-ID: d2bec56d7865f05a1003dc88449f2b0fdd85309a
CPU-Threads: 4; BS: Linux 4.4; UI-Render: Standard; VCL: kde4; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group

on OpenSUSE 42.2 64bit rpm Linux.

I couldn't find any buggy behavior here.
Comment 3 QA Administrators 2018-07-03 14:15:19 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2018-07-31 09:41:51 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20180731